Points Revocation API
Revokes Points that were issued to a member.
API Information
POST/v1/point/revoke
Content-Type
application/json테스트
https://tb-mps-api.hectofinancial.co.kr/v1/point/revoke운영
https://mps-api.hectofinancial.co.kr/v1/point/revokeRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└custNoAN(20)Alphanumeric, up to 20 bytes*Prepaid member number.
Prepaid member number.
*Unique prepaid member number assigned by Hecto Financial.
└mTrdNoAN(50)Alphanumeric, up to 50 bytes*Merchant transaction reference number.
Merchant transaction reference number.
*Transaction reference number generated by the merchant (no Korean characters).
└trdAmtN(7)Numeric, up to 7 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Requested revocation amount.Requested revocation amount.
*AES-256/ECB/PKCS5Padding encryption required.
└pntBlcN(7)Numeric, up to 7 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Points balance.Points balance.
*Member's Points balance. AES-256/ECB/PKCS5Padding encryption required.
└reqDtAN(8)Alphanumeric, up to 8 bytesRequest date.
Request date.
*yyyyMMdd format. If omitted, the server date is used automatically.
└reqTmAN(6)Alphanumeric, up to 6 bytesRequest time.
Request time.
*HHmmss format. If omitted, the server time is used automatically.
└trdSumryAN(50)Alphanumeric, up to 50 bytesTransaction summary.
Transaction summary.
*Reason for the Points revocation.
└mResrvField1AN(255)Alphanumeric, up to 255 bytesMerchant reserve field 1.
Merchant reserve field 1.
*Transmitted in plaintext. Do not include sensitive personal information.
└mResrvField2AN(255)Alphanumeric, up to 255 bytesMerchant reserve field 2.
Merchant reserve field 2.
*Transmitted in plaintext. Do not include sensitive personal information.
└mResrvField3AN(255)Alphanumeric, up to 255 bytesMerchant reserve field 3.
Merchant reserve field 3.
*Transmitted in plaintext. Do not include sensitive personal information.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(실시간 생성)SHA-256 hash value.
*Signature composition: prepaid member number + merchant ID + merchant transaction reference number + transaction amount (plaintext) + hash key.
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└rsltCdAN(4)Alphanumeric, up to 4 bytes*Result code.
0000Result code.
0000: Success Other: Failure└rsltMsgAN(255)Alphanumeric, up to 255 bytes*Result message.
SuccessResult message.
rsltObj (Response Object)
└custNoAN(20)Alphanumeric, up to 20 bytes*Prepaid member number.
2400001605Prepaid member number.
└mtrdNoAN(50)Alphanumeric, up to 50 bytes*Merchant transaction reference number.
ORDER20240716Merchant transaction reference number.
*No Korean characters.
└trdNoAN(50)Alphanumeric, up to 50 bytes*Transaction approval number.
24071616270200002193Transaction approval number.
*Unique transaction number assigned by Hecto Financial.
└trdDtAN(8)Alphanumeric, up to 8 bytes*Transaction date.
20240716Transaction date.
*yyyyMMdd format.
└trdTmAN(6)Alphanumeric, up to 6 bytes*Transaction time.
164101Transaction time.
*HHmmss format.
└trdAmtN(7)Numeric, up to 7 bytes*Transaction amount.
10000Transaction amount.
*Points revocation amount.
└pntBlcN(7)Numeric, up to 7 bytes*Points balance.
0Points balance.
*Points balance after revocation.
└pktHashAN(200)Alphanumeric, up to 200 bytes*SHA-256 hash value.
SHA-256 hash value.
*Signature composition: prepaid member number + merchant ID + merchant transaction reference number + Hecto Financial transaction approval number + transaction amount + hash key.
Request Example
{
"custNo": "2400001605",
"mTrdNo": "ORDER20240716",
"trdAmt": "AES-encrypted amount",
"pntBlc": "AES-encrypted balance",
"reqDt": "20240716",
"reqTm": "132300",
"trdSumry": "Event points revocation",
"pktHash": "hash value"
}
Response Examples
Success
{
"rsltCd": "0000",
"rsltMsg": "Success",
"rsltObj": {
"custNo": "2400001605",
"mtrdNo": "ORDER20240716",
"trdNo": "24071616270200002193",
"trdDt": "20240716",
"trdTm": "164101",
"trdAmt": "10000",
"pntBlc": "0",
"pktHash": "f395b6725a9a18f2563ce34f8bc76698051d27c05de5ba815f463f00429061c"
}
}
Failure
{
"rsltCd": "T-054",
"rsltMsg": "Cannot revoke an amount greater than the member's Points balance."
}
Important Notes
- The revocation amount cannot exceed the member's Points balance.
- The transaction reference number (
mTrdNo) must be unique. - Points revocation is only applicable to issued Points.
Need technical support?
Code Samples
HectoFinancial GitHub